from core.command_service import CommandService
from core.decorators import instance


@instance(name="command_service", override=True)
class CustomCommandService(CommandService):
    def inject(self, registry):
        super().inject(registry)

    def handle_unknown_command(self, command_str: str, command_args, channel, sender, reply):
        pass
